Bug 206666 - esd failes to shmget() with EACCES
esd failes to shmget() with EACCES
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: alsa-lib (Show other bugs)
5
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Stransky
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-09-15 12:05 EDT by QingLong
Modified: 2008-04-17 09:09 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-17 09:09:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description QingLong 2006-09-15 12:05:25 EDT
Description of problem:
esd failes to initialize IPC shared memory.
This is a tail of strace esd log:
 open("/dev/snd/controlC0", O_RDWR)      = 5
 ioctl(5, USBDEVFS_CONTROL, 0xbf833634)  = 0
 ioctl(5, UI_DEV_CREATE, 0xbf833610)     = 0
 close(5)                                = 0
 semget(2037514327, 1, IPC_CREAT|0600)   = 196608
 semop(196608, 0xbf833bde, 2)            = 0
 shmget(323539665, 384, IPC_CREAT|0600)  = -1 EACCES (Permission denied)
 write(2, "ALSA lib pcm_dmix.c:851:(snd_pcm"..., 44ALSA lib
pcm_dmix.c:851:(snd_pcm_dmix_open) ) = 44
 write(2, "unable to create IPC shm instanc"..., 33unable to create IPC shm
instance) = 33
 write(2, "\n", 1)                       = 1
 shmdt(0)                                = -1 EINVAL (Invalid argument)
 unlink("/tmp/.esd/socket")              = 0
 rmdir("/tmp/.esd")                      = 0
 exit_group(2)                           = ?

Version-Release number of selected component (if applicable):
esound-0.2.36-2.2.1

How reproducible:
100%

Steps to Reproduce:
1. Just launch esd
  
Actual results:
Esd either finishes shortly or just sits there in semop() forever.

Expected results:
esd should run and do its job.

Additional info:
There are chances this problem is dealt with kernel (2.6.17-1.2174_FC5.i686)
and/or architecture (the CPU is Pentium III (Coppermine))
as some other applications (namely firefox) come accross the same problem
accidentally.
Comment 1 Bastien Nocera 2007-04-19 10:25:54 EDT
Looks like a problem setting up the shared memory to use ALSA's dmix.
Reassigning to alsa-lib.
Comment 2 Martin Stransky 2007-04-19 10:32:16 EDT
please attach /root/scssound.log (it's generated by system-config-soundcard)
Comment 3 Bug Zapper 2008-04-03 23:45:07 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 4 QingLong 2008-04-08 08:54:56 EDT
>
> We strongly encourage you to upgrade to a current Fedora release.
>
   To my regret I cannot upgrade to a later Fedora release
as since Fedora 7 PATA disks are always treated as SCSI disks
and SCSI disks cannot contain more than 15 partitions,
while I do have more than twenty of them.
It seems I should have to switch to some other Linux distribution.
Comment 5 Martin Stransky 2008-04-17 09:09:47 EDT
Well, we're not going to fix any bug in FC5. Closing.

Note You need to log in before you can comment on or make changes to this bug.